<template>
  <article
    class="flex flex-col border-gray-400 bg-white overflow-hidden gap-4 rounded-xl shadow-card_2 hover:shadow-card_5 transition-all"
  >
    <div class="flex gap-4 bg-primary-40 p-4 text-secondary-100">
      <div class="h-20 w-20 rounded-lg overflow-hidden">
        <img
          class="object-cover w-full h-full"
          src="../../static/img/no-photo.svg"
          alt=""
        />
      </div>
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Адрес:</p>
          <p>Ленина 30</p>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Телефон:</p>
          <a href="tel:8 999 130 47 18">8 999 130 47 18</a>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Дата проведения:</p>
          <p>06.04.2022</p>
        </div>
      </div>
    </div>
    <div class="flex gap-4 px-4">
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Время</p>
          <p>15:00 - 17:00</p>
        </div>
        <div class="flex items-center gap-1 h-5">
          <p class="font-light">Уровень:</p>
          <div class="flex gap-1">
            <span class="h-5 w-5 bg-green-600 rounded-full"></span>
            <span class="h-5 w-5 bg-red-600 rounded-full"></span>
            <span class="h-5 w-5 bg-amber-900 rounded-full"></span>
            <span class="h-5 w-5 bg-black rounded-full"></span>
          </div>
        </div>
      </div>
      <div class="grid gap-1">
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Формат турнира:</p>
          <p>Однодневный</p>
        </div>
        <div class="flex gap-1 items-center h-5">
          <p class="font-light">Стоимость:</p>
          <p>500р</p>
        </div>
      </div>
    </div>

    <div class="flex justify-between items-center p-4 pt-0">
      <p class="text-sm">Осталось мест: 7</p>
      <router-link to="/turnament/code" class="ml-2 hover:underline"
        >Подробнее</router-link
      >
      <el-button class="ml-auto">Записать команду</el-button>
    </div>
  </article>
</template>

<script lang="ts" setup></script>
